2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/DebugCommands.cs:
	* MonoDevelop.Debugger/DebuggingService.cs: Track API changes.

2010-07-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes.

2010-07-13  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Debugger/ExceptionCaughtDialog.cs:
	  Unescape exception message.

2010-07-07  Levi Bard  <levi@unity3d.com>

	* MonoDevelop.Debugger/LocalsPad.cs:
	  Persist local pad tree state while single-stepping within the same function.

2010-06-10  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* icons/debug-overlay-24.png:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml: Fix icon composition
	  warning.

2010-06-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/DisassemblyView.cs: Track API changes.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Fix incorrect use
	  of ShowCustomDialog/RunCustomDialog.

2010-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Use
	  ShowCustomDialog (which destroys the dialog when done)
	  instead of RunCustomDialog (which doesn't).

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DebugCommands.cs: More dialog placement
	  cleanup.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: More dialog
	  placing.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DebugCommands.cs: Clean up dialog
	  placement.

	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Flush.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Show the
	  exception information when double clicking on it in the
	  locals or watch pads.

	* MonoDevelop.Debugger/ExceptionCaughtDialog.cs: Don't crash
	  if there is a change event after the dialog is closed.

2010-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ExceptionCaughtDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionCaughtDialog.cs:
	  Improved exception dialog. It now shows the stack trace.
	  Track api changes.

2010-05-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Unsubscribe all
	  events from the session when stopping the debugger. Ensures
	  that the old session is completely disconnected from the
	  debugging service, so if something goes wrong while shutting
	  down, it will not interfere with a new session. This might
	  be a fix for bug #602476.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/BusyEvaluatorDialog.cs: Dont re-show
	  the busy dialog if the user clicks on Keep Waiting. Instead,
	  show it when the user tries to continue debugging. Also show
	  a flashing status icon while in busy mode.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml: Remove unused icon sizes.

2010-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ImmediatePad.cs: Really fix not
	  supported expression error reporting.

2010-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ImmediatePad.cs: Improve error message
	  when an expression is not supported.

2010-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValuePad.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger.Visualizer/TextVisualizer.cs:
	* MonoDevelop.Debugger.Visualizer/PixbufVisualizer.cs: Track
	  api changes. When evaluation options change, update the
	  value pads.

2010-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs:
	* MonoDevelop.Debugger/ExceptionCaughtDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionCaughtDialog.cs:
	  Exception dialog fixes. Wrap the exception message. Don't
	  show new lines in the value column.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj: Flush.

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Properly update
	  expanders visibility when refreshing a row.

2010-04-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/DisassemblyView.cs: ViewContent widgets
	  are now destroyed by the workspace window.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes.

2010-04-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DebugExecutionHandlerFactory.cs: Make
	  IProcessAsyncOperation IDisposable.

2010-04-23  Carlo Kok  <ck@remobjects.com>
	
	* MakeFile.am:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ExpressionEvaluatorExtensionNode.cs:
	* MonoDevelop.Debugger/LocalsPad.cs:
      Allow for custom debug expression evaluator plugins.
	  
2010-04-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Improved column
	  size handling.

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	  Changed default size for evaluator dialog.

2010-04-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Reduce size of
	  refresh and visualizer buttons. Moved refresh button to the
	  front of the column.

	* MonoDevelop.Debugger/ExpressionEvaluatorDialog.cs: Allow
	  expanding.

2010-04-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger.Visualizer:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs:
	* MonoDevelop.Debugger.Visualizer/TextVisualizer.cs:
	* MonoDevelop.Debugger.Visualizer/PixbufVisualizer.cs:
	* MonoDevelop.Debugger.Visualizer/IValueVisualizer.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionCaughtDialog.cs:
	* MonoDevelop.Debugger.Visualizer/ValueVisualizerDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.Viewers.ValueVisualizerDialog.cs:
	  Add basic support for custom visualizers.

	* MonoDevelop.Debugger/PinnedWatch.cs: Set the correct
	  expression name.

2010-04-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/BreakpointPropertiesDialog.cs: Added
	  new test suite for StackFrame. Reorganized a bit the
	  namespaces. Added tests for bug #580994.

2010-04-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/BreakpointPropertiesDialog.cs: When
	  checking if some breakpoint features are supported, check it
	  for the startup project too, since the current project may
	  be a library and not executable.

2010-04-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/BreakpointPad.cs: Use the delete key
	  command to bind the delete key.

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/WatchPad.cs:
	* MonoDevelop.Debugger/DebugCommands.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Added a context
	  menu to ObjectValueTreeView, which includes a command which
	  allows adding a value to the watch pad.

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Don't set
	  change the pin icon while editing.

2010-04-06  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Remove dead space at bottom of dialog.

2010-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Flush.

	* MonoDevelop.Debugger/StackTracePad.cs: Alloy copying the
	  call stack to the clipboard. Added context menu.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/DebugCommands.cs: Fixed some command
	  descriptions.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Debugger.addin.xml: Bumped MD version.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml: Set the default location for
	  debug pads. Register a new Debug layout.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/WatchPad.cs:
	* MonoDevelop.Debugger/LocalsPad.cs:
	* MonoDevelop.Debugger/Extensions.cs:
	* MonoDevelop.Debugger/ThreadsPad.cs:
	* MonoDevelop.Debugger/Initializer.cs:
	* MonoDevelop.Debugger/ImmediatePad.cs:
	* MonoDevelop.Debugger/StackTracePad.cs:
	* MonoDevelop.Debugger/DebugCommands.cs:
	* MonoDevelop.Debugger/BreakpointPad.cs:
	* MonoDevelop.Debugger/ObjectValuePad.cs:
	* MonoDevelop.Debugger/ExceptionsDialog.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs:
	* MonoDevelop.Debugger/DebuggerOptionsPanelWidget.cs:
	* MonoDevelop.Debugger/BreakpointPropertiesDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ImmediatePad.cs: Show the clear button
	  in the dock item toolbar.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ThreadsPad.cs:
	* MonoDevelop.Debugger/StackTracePad.cs: Icons are set in the
	  extension node.

	* MonoDevelop.Debugger/BreakpointPad.cs: Remove unrequired
	  shadow.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger/BreakpointPad.cs: Use the new
	  DockItemToolbar class for showing toolbar commands.

2010-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Added target for running the tests.

2010-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Clean the
	  breakpoint list when closing the solution.

2010-02-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ExceptionsDialog.cs: Fix bug #579754 -
	  Duplicate exception names in debugger exception dialog

2010-02-22  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ExceptionCaughtDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionCaughtDialog.cs: Added
	  new dialog which is shown when an exception is caught.

	* MonoDevelop.Debugger/ImmediatePad.cs: Use new expression
	  validation method.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ThreadsPad.cs:
	* MonoDevelop.Debugger/StackTracePad.cs:
	* MonoDevelop.Debugger/BreakpointPad.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track api
	  changes.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggerEngine.cs: Properly initialize
	  the engine.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/Extensions.cs:
	* MonoDevelop.Debugger/DebuggerEngine.cs:
	* MonoDevelop.Debugger/IDebuggerEngine.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/DebugExecutionModeSet.cs:
	* MonoDevelop.Debugger/AttachToProcessDialog.cs:
	* MonoDevelop.Debugger/DebuggerOptionsPanelWidget.cs:
	* MonoDevelop.Debugger/DebuggerEngineExtensionNode.cs:
	* MonoDevelop.Debugger/DebugExecutionHandlerFactory.cs: Added
	  support for lazy loading of add-ins

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ThreadsPad.cs:
	* MonoDevelop.Debugger/StackTracePad.cs:
	* MonoDevelop.Debugger/BreakpointPad.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes for lazy loading images.

2010-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/ExceptionsDialog.cs: Include
	  System.Exception in exceptions list.

2010-02-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: init pinned
	  watch coordinates to -1.

2010-02-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger/PinnedWatch.cs:
	* MonoDevelop.Debugger/PinnedWatchStore.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	  Implemented infrastructure for supporting persistent pinned
	  watches.

2010-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebugCommands.cs: Warn the user when
	  trying to debug an outdated exe. Fixes bug #540979.

2010-01-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes.

2010-01-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Made GetIcon
	  public.

2010-01-22  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionsDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.BusyEvaluatorDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.AddTracePointDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.AttachToProcessDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.DebuggerOptionsPanelWidget.cs:
	  Flush.

2010-01-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Implement a type
	  resolver. Helps fixing bug #570855 - Poor type resolution in
	  debugger.

2010-01-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes.

2009-12-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.Tests:
	* MonoDevelop.Debugger.Tests.TestApp: Added new testing
	  projects.

	* MonoDevelop.Debugger/DebuggingService.cs: Allow using the
	  debugging service when the Ide is not initialized.

2009-12-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Ensure that soft
	  debugger is prioritised over newly installed debuggers.

2009-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Debugger.csproj:
	* icons/view-debug-watch-16.png:
	* icons/view-debug-locals-16.png:
	* MonoDevelop.Debugger.addin.xml:
	* icons/view-debug-threads-16.png:
	* icons/view-debug-call-stack-16.png:
	* icons/view-debug-breakpoints-16.png: Added some new icons.

2009-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Use the new
	  DisplayValue property.

2009-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Pass along the
	  external console option.

2009-12-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Use
	  Workbench.Present so that we can special-case for different
	  platforms.

2009-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger/DebuggerOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Debugger.DebuggerOptionsPanelWidget.cs:
	  Added new grouping options to the options panel.

	* MonoDevelop.Debugger/DebuggingService.cs: Moved all options
	  properties to a single object.

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Show the new
	  static member icons.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml: Fix shortcut conflict.

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	  Evaluate expression when pressing enter in the expression
	  evaluator dialog.

2009-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Remove FIXME that
	  was fixed.

2009-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/StackTracePad.cs: Don't prevent the
	  user from jumping to frames if source exists, even if
	  they're not user code.

2009-11-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/Initializer.cs: Take external code 
	  into account when picking frame to show when stopping.

2009-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebugTextMarker.cs: New marker for
	  tracepoints.

2009-11-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/StackTracePad.cs: Don't jump to
	  external frames.

2009-11-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/StackTracePad.cs: Make frames that are
	  external code italic.

	* MonoDevelop.Debugger/Initializer.cs:
	* MonoDevelop.Debugger/DebuggingService.cs: Only display the
	  current visible frame, not external code frames.

2009-11-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/DebugCommands.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/AddTracePointDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.AddTracePointDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Implemented Add Tracepoint command.

2009-11-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Add a call for
	  accessing the next "visible" stack frame.

	* MonoDevelop.Debugger/Initializer.cs: Track API.

	* MonoDevelop.Debugger/DebugTextMarker.cs: New marker.

2009-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/DebuggerOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Debugger.DebuggerOptionsPanelWidget.cs:
	  Add setting for user-code-only debugging.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger/IDebuggerEngine.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/DebuggerOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Debugger.DebuggerOptionsPanelWidget.cs:
	  Added options panel for setting debugger engine selection
	  priority.

2009-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Add support for
	  the new EvaluatingGroup value type.

2009-11-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Remove debug code.

2009-11-18  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger/ImmediatePad.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs:
	* MonoDevelop.Debugger/DebuggerOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Debugger.DebuggerOptionsPanelWidget.cs:
	  Add support for refreshing values. Added option for enabling
	  ToString evaluation. Track api changes.

2009-11-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/DebuggerOptionsPanelWidget.cs: Added
	  options panel for the debugger options.

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Debugger.csproj:
	* gtk-gui/MonoDevelop.Debugger.ExceptionsDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.BusyEvaluatorDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.AttachToProcessDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.DebuggerOptionsPanelWidget.cs:
	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Updated.

	* MonoDevelop.Debugger/DebuggingService.cs: Use the options
	  entered by the user for timeout and target evaluation. Show
	  the busy dialog when the debugger is busy.

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Use the default
	  timeout when evaluating expressions.

	* MonoDevelop.Debugger/BusyEvaluatorDialog.cs: New dialog
	  shown when the debugger is busy executing target methods.

2009-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Fix bug #549886 -
	  Pressing Enter at the end of a line with a breakpoint moves
	  the breakpoint down a line.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Debugger.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Debugger.csproj: Reference the mono-cairo
	  package.

	* MonoDevelop.Debugger/Initializer.cs:
	* MonoDevelop.Debugger/DebuggingService.cs: Properly check
	  debugger features while in a debug session.

	* MonoDevelop.Debugger/ThreadsPad.cs: Improve error handling.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionsDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.AttachToProcessDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Flush.

2009-10-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Fixed 'Bug 550179
	  - Caret should not pulse when debugger stepping'.

2009-10-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.addin.xml: Add Mac shortcuts.

	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.csproj: Flush.

2009-10-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/ThreadsPad.cs: Fix Pocess/Process
	  spelling.

2009-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/IDebuggerEngine.cs:
	* MonoDevelop.Debugger/AttachToProcessDialog.cs: Fix spelling
	  of GetAttachableProcesses API.

2009-10-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Added new event to
	  disable conditional compilation for a document.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Debugger.addin.xml: Bump MD version.

2009-10-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/AttachToProcessDialog.cs: Track api
	  changes.

2009-10-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Avoid deadlock by
	  delaying the display of error dialogs.

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/Initializer.cs: Don't show the
	  disassembly window if not supported.

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/DebugCommands.cs:
	* MonoDevelop.Debugger/DebuggingService.cs: Implemented Show
	  Current Execution Line command.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Added null check.

2009-09-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Report debugger
	  exceptions in a dialog.

	* MonoDevelop.Debugger/BreakpointPad.cs: Disable the
	  breakpoints pad if the breakpoint store is read-only while
	  running.

	* MonoDevelop.Debugger/DebugCommands.cs: Disable breakpoint
	  commands when the breakpoint store is read-only.

2009-09-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger\DebuggingService.cs: Fire the stopped
	  event after disposing the session.

2009-09-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ImmediatePad.cs: Added a toolbar with a
	  clean button.

2009-09-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Debugger/DebuggingService.cs: 
	* MonoDevelop.Debugger/DebugCommands.cs: Make windows transient
	  for the root monodevelop window.

2009-09-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track api
	  changes.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/BreakpointPad.cs: Fix issue with
	  context menu. Fixes bug #480535.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger\StackTracePad.cs: Improve stack frame
	  formatting.

2009-08-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes.

2009-08-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.addin.xml: Try some different Mac
	  keyboard mappings for build and run commands.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj: Don't make local copies of
	  project references.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Flush.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.Debugger.ExceptionsDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.AttachToProcessDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	  Flush.

2009-07-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/DebugCommands.cs: Run has now "Run
	  again" functionality when no debugger is installed.

2009-07-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API
	  changes.

2009-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track api
	  changes.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ImmediatePad.cs: Use the new
	  DesktopService instead of PlatformService.

2009-06-12  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/ImmediatePad.cs: Added immediate pad.

2009-05-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger\ThreadsPad.cs: Don't try to get the
	  list of threads if the debugger is running.

	* MonoDevelop.Debugger\DebugCommands.cs: Fix logic for
	  checking if debugging is supported.

2009-05-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger\ThreadsPad.cs:
	* MonoDevelop.Debugger\StackTracePad.cs: Don't render a
	  border. The dock item already provides one.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger\Initializer.cs:
	* MonoDevelop.Debugger\DebuggingService.cs: Use FilePath for
	  representing paths.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/Extensions.cs:
	* MonoDevelop.Debugger/DebugCommands.cs: Workaround for what
	  seems to be a mcs bug. Looks like it can't properly resolve
	  the implicit conversion of null to string.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.addin.xml: More Mac shortcuts.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger/IDebuggerEngine.cs: Moved
	  IDebuggerEngine from Mono.Debugging.

	* MonoDevelop.Debugger/DebuggingService.cs: IDebuggerEngine
	  now takes an ExecutionCommand as parameter.

2009-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/DebugExecutionModeSet.cs: Created an
	  execution mode set for debuggers.

	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/DebugExecutionHandlerFactory.cs: Track
	  api changes done in IExecutionHandler.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Debugger.csproj: don't require specific
	gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/WatchPad.cs: Changed IMementoCapable
	  interface.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Debugger.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ExceptionsDialog.cs: Track api changes
	  to support multiple target runtimes.

2009-04-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track api
	  changes (Made the 'undo' of code completion operations more
	  intelligent.)

2009-03-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger/DisassemblyView.cs:
	* MonoDevelop.Debugger/DebugTextMarker.cs: Fixed compilation
	  error.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track api
	  changes.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.csproj: Don't local-copy project refs.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger.csproj: Moved text editor to core

2009-03-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Fix bug #478331
	  - Adding second (third, etc) variable to watch pad takes
	  type of first variable.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: Removed unused
	  CanDebugPlatform and rename CanDebugFile to CanDebugCommand.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/Extensions.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/DebugExecutionHandlerFactory.cs:
	  Changed the way execution handlers work. We are not using
	  platform ids anymore. Instead, we use command strings when
	  looking for execution handlers. IExecutionHandlerFactory has
	  been removed and now everything is handled by
	  IExecutionHandler, which has a new CanExecute method. This
	  model is more simple and more generic.

2009-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/BreakpointPropertiesDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs:
	  Moved breakpoint properties dialog from MD.Ide. Disable
	  conditional and tracepoint options if they are not supported
	  by the project.

2009-03-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/Extensions.cs: Fixed NRE when the
	  current view does not have a file name. Fixes bug #480823 -
	  NRE when closing solution.

2009-03-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: commented out
	  debug message.

2009-02-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/ThreadsPad.cs:
	* MonoDevelop.Debugger/StackTracePad.cs: Added translatable
	  strings. Patch from Bálint Kriván.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.csproj: Flush.

2009-02-23  Scott Ellington  <scott.ellington@gmail.com>

	* Makefile.am:
	* icons/step-out-24.png:
	* icons/step-into-24.png:
	* icons/step-over-24.png:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml: add 24 px icons and debug
	  toolbar

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml: Track merge of the project
	  pad context menu.

2009-02-20  Scott Ellington  <scott.ellington@gmail.com>

	* Makefile.am:
	* icons/step-out-22.png:
	* icons/step-out-16.png:
	* icons/step-over-22.png:
	* icons/step-over-16.png:
	* icons/step-into-16.png:
	* icons/step-into-22.png:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml: add step icons

2009-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/WatchPad.cs: When restoring the watch
	  pad state, clear the old state.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ExceptionsDialog.cs: Track api changes.

2009-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/LocalsPad.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Add locals all
	  at once to the list.

	* MonoDevelop.Debugger/DebugCommands.cs: Allow editing the
	  exceptions even when the debugger is not running.

2009-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* icons:
	* Makefile.am:
	* icons/debug-overlay-32.png:
	* icons/debug-overlay-22.png:
	* icons/debug-overlay-16.png:
	* MonoDevelop.Debugger.csproj:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/DebugCommands.cs: Added icon for debug
	  command. Make sure the run command is visible in the toolbar
	  even when there are no debuggers installed.

2009-02-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/ThreadsPad.cs:
	* MonoDevelop.Debugger/StackTracePad.cs:
	* MonoDevelop.Debugger/BreakpointPad.cs:
	* MonoDevelop.Debugger/ObjectValuePad.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Use pad font.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.csproj: Don't require a specific
	  version of Mono.Addins.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.csproj: Flush MD's removal of newline
	  at end of file that was introduced by manually editing with
	  gedit.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.csproj: Make debug configuration build
	  debug symbols.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.mdp:
	* MonoDevelop.Debugger.csproj: Migrated to MSBuild file
	  format.

2009-02-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/DisassemblyView.cs: track api changes.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Debugger.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionsDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.AttachToProcessDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs:
	  Flush.

	* Makefile.am:
	* MonoDevelop.Debugger.mdp: Updated Mono.Cairo reference.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/DisassemblyView.cs: Track
	  TextEditorOptions API changes.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Track changes in MD's assembly handling.
	  Mono.Cairo is no longer considered to be a "system"
	  assembly.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger.mdp: Flush project format changes.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Use the new async
	evaluation feature.

	* MonoDevelop.Debugger/StackTracePad.cs:
	* MonoDevelop.Debugger/ObjectValuePad.cs: Make sure the pad is updated
	only when it is visible.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.mdp: All projects now require fx 3.5.

2008-12-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: When cleaning up the
	session, dispose it as last step, since it may be slow, and it might
	delay all other cleanup operations.

2008-12-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/DebuggingService.cs: If something goes wrong when
	starting the debugger, cleanup the session.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/Initializer.cs:
	* MonoDevelop.Debugger/DebugCommands.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/AttachToProcessDialog.cs: Hide debugger commands
	which are not supported by the installed debuggers. 

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml: Updated key bindings to match VS.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml: Changed default label of debug command
	for projects since to avoid it being confused with the global debug
	command in the key bindings panel.

	* MonoDevelop.Debugger/Extensions.cs: Honor the RunWithWarning and
	BuildBeforeExecuting preferences.

	* MonoDevelop.Debugger/DebugExecutionHandlerFactory.cs: Track api
	changes.

	* MonoDevelop.Debugger/DebugCommands.cs: Honor the RunWithWarning and
	BuildBeforeExecuting preferences. If no debugger is installed, the
	Debug command will work as a regular Run command.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Allow editing by pressing
	F2.

2008-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml: Fix command names.

2008-11-26  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Debugger.mdp:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/DebugCommands.cs:
	* MonoDevelop.Debugger/ExceptionsDialog.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionsDialog.cs:
	* MonoDevelop.Debugger/ExpressionEvaluatorDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExpressionEvaluatorDialog.cs: Implemented
	exceptions dialog and expression evaluation dialog.

2008-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Debugger.mdp:
	* MonoDevelop.Debugger.addin.xml:
	* MonoDevelop.Debugger/LocalsPad.cs:
	* MonoDevelop.Debugger/Extensions.cs:
	* MonoDevelop.Debugger/ThreadsPad.cs:
	* MonoDevelop.Debugger/Initializer.cs:
	* MonoDevelop.Debugger/StackTracePad.cs:
	* MonoDevelop.Debugger/DebugCommands.cs:
	* MonoDevelop.Debugger/BreakpointPad.cs:
	* MonoDevelop.Debugger/ObjectValuePad.cs:
	* MonoDevelop.Debugger/DisassemblyView.cs:
	* MonoDevelop.Debugger/ExceptionsDialog.cs:
	* MonoDevelop.Debugger/DebuggingService.cs:
	* MonoDevelop.Debugger/ObjectValueTreeView.cs:
	* MonoDevelop.Debugger/AttachToProcessDialog.cs:
	* gtk-gui/MonoDevelop.Debugger.ExceptionsDialog.cs:
	* MonoDevelop.Debugger/DebugExecutionHandlerFactory.cs:
	* gtk-gui/MonoDevelop.Debugger.AttachToProcessDialog.cs: Moved here all
	debug commands previously implemented in MD.Ide.

2008-11-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Debugger.mdp: Updated.

2008-11-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/Initializer.cs:
	* MonoDevelop.Debugger/DisasemblyView.cs:
	* MonoDevelop.Debugger/DisassemblyView.cs: Fix spelling.

2008-11-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Debugger/DebugTextMarker.cs: fixed compilation error.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Debugger.addin.xml: Bump MD version.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track APIs.

2008-10-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track CompletionData API.

2008-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Remove ambiguity.

2008-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track API.

2008-09-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: implemented IComparable.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Really fix.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Track api changes.

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/ObjectValuePad.cs: Fix nullref.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.mdp: Updated projects.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs: Updated generated code.

2008-08-20  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Debugger/DisasemblyView.cs: made some changes caused by
	  text editor changes.

2008-08-07  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs,
	  gtk-gui/gui.stetic, MonoDevelop.Debugger.mdp, Makefile.am,
	  MonoDevelop.Debugger/BreakpointPropertiesDialog.cs,
	  MonoDevelop.Debugger/BreakpointPad.cs: Moved breakpoint properties
	  dialog to MD.Ide.
	* MonoDevelop.Debugger/DebugTextMarker.cs: Track api changes.

2008-08-06  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Debugger.BreakpointPropertiesDialog.cs,
	  gtk-gui/gui.stetic, MonoDevelop.Debugger.mdp, Makefile.am,
	  MonoDevelop.Debugger/BreakpointPropertiesDialog.cs,
	  MonoDevelop.Debugger/BreakpointPad.cs: Improved breakpoints pad.
	  Implemented the breakpoint properties dialog.

2008-08-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.addin.xml, MonoDevelop.Debugger.mdp,
	  Makefile.am, MonoDevelop.Debugger/ThreadsPad.cs: Added threads pad.
	  Based on the work by Alfonso Santos Luaces.
	* MonoDevelop.Debugger/BreakpointPad.cs: Properly unsubscribe debug
	  service events.

2008-08-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/DisasemblyView.cs: Track api changes.

2008-07-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/ObjectValuePad.cs: Remove debug code.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Debugger.mdp: Removed some parts of the documentation
	  service.

2008-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.addin.xml, MonoDevelop.Debugger.mdp,
	  Makefile.am, MonoDevelop.Debugger/WatchPad.cs,
	  MonoDevelop.Debugger/LocalsPad.cs,
	  MonoDevelop.Debugger/BreakpointPad.cs,
	  MonoDevelop.Debugger/ObjectValuePad.cs: Implemented LocalsPad.
	  Moved all logic shared with the WatchPad to ObjectValuePad.
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Highlight values that
	  have changed since the last time the debugger was stopped.

2008-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.addin.xml, MonoDevelop.Debugger.mdp,
	  Makefile.am, MonoDevelop.Debugger/BreakpointPad.cs: Initial
	  implementation of the breakpoints pad by Alfonso Santos Luaces.

2008-07-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/WatchPad.cs: Make sure the value tree is
	  properly initialized the first time it is shown.

2008-07-21  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am, MonoDevelop.Debugger.mdp: Fix automake build paths. Add
	  System.Xml reference and don't local copy refs, for build within
	  MD.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Remove ellupsizing.
	  Doesn't work well with the debug tooltip.

2008-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/ObjectValueTreeView.cs,
	  MonoDevelop.Debugger/WatchPad.cs: Store watch pad expressions into
	  the user preferences when closing a solution.

2008-07-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Make columns resizable.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Show icons for Type and
	  Namespace values.

2008-07-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.mdp, Makefile.am,
	  MonoDevelop.Debugger/WatchPad.cs,
	  MonoDevelop.Debugger/ObjectValueTreeView.cs: Added support for code
	  completion.

2008-07-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/WatchPad.cs: Don't update the tree if there is
	  no current frame, since it will reset the current expansion state.
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Added events which are
	  fired when value editing starts/ends. Fixes some text escaping
	  issues.

2008-07-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/WatchPad.cs,
	  MonoDevelop.Debugger/ObjectValueTreeView.cs: Show member icons in
	  the watch pad. Support a new compact mode to be used in the debug
	  tooltips.

2008-07-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Debugger/DebugTextMarker.cs,
	  MonoDevelop.Debugger/DisasemblyView.cs: debug markers are now using
	  color styles instead of hard coded colors.

2008-07-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger/DebugTextMarker.cs: Improved colors.
	* MonoDevelop.Debugger/ObjectValueTreeView.cs: Allow editing variable
	  values.
	* MonoDevelop.Debugger/Initializer.cs: Implement ShowDisassembly
	  command.
	* MonoDevelop.Debugger/DisasemblyView.cs: Implemented support for mixed
	  assembler/source code view.

2008-07-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.addin.xml: Fix add-in id.

2008-07-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.mdp, Makefile.am,
	  MonoDevelop.Debugger/DebugTextMarker.cs: Implemented markers for
	  breakpoint and current execution line.
	* MonoDevelop.Debugger/DisasemblyView.cs: Use new current line marker.

2008-06-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.addin.xml, MonoDevelop.Debugger.mdp,
	  Makefile.am, MonoDevelop.Debugger/WatchPad.cs,
	  MonoDevelop.Debugger/ObjectValueTreeView.cs,
	  MonoDevelop.Debugger/Initializer.cs,
	  MonoDevelop.Debugger/DisasemblyView.cs,
	  MonoDevelop.Debugger/StackTracePad.cs: Improved call stack view.
	  Implemented disassemble view.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.addin.xml: Bump MD version.

2008-05-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Debugger.addin.xml, MonoDevelop.Debugger.mdp,
	  Makefile.am, MonoDevelop.Debugger/WatchPad.cs,
	  MonoDevelop.Debugger/ObjectValueTreeView.cs,
	  MonoDevelop.Debugger/StackTracePad.cs: Implemented initial watch
	  pad.

